<?php

/**
 * @file
 */

/**
 * Menu callback function for creating the module admin settings form
 */
function cafepress_admin_settings() {
  $form['#submit'] = array('menu_rebuild');

  $form['cafepress_store_id'] = array(
    '#type' => 'textfield',
    '#title' => t("Cafepress store id"),
    '#default_value' => variable_get('cafepress_store_id', ''),
    '#description' => t('The store id given to you by cafepress when you signed up.'),
  );

  $form['cafepress_image_dir'] = array(
    '#type' => 'textfield',
    '#title' => t("Cafepress images location"),
    '#default_value' => variable_get("cafepress_image_dir", "images/cafepress"),
    '#description' => t("The place where you uploaded the product images on the local server."),
  );

  $thumb_size = drupal_map_assoc(array(48,100,150,240,350,480));
  $form['cafepress_thumbnail_size'] = array(
    '#type' => 'select',
    '#options' => $thumb_size,
    '#title' => t("Thumbnail size"),
    '#default_value' => variable_get("cafepress_thumbnail_size", "100"),
    '#description' => t("The size to show the items in the block."),
  );

  $form['cafepress_apikey'] = array(
    '#type' => 'textfield',
    '#title' => t("Api Key"),
    '#default_value' => variable_get("cafepress_apikey", ""),
    '#description' => t("The Api Key needed to work with Cafepress."),
  );


  $form['cafepress_num_cols'] = array(
    '#type' => 'textfield',
    '#title' => t("Display columns"),
    '#default_value' => variable_get("cafepress_num_cols", "4"),
    '#description' => t("The number of items to display in each row."),
  );

  $form['cafepress_store_link'] = array(
    '#type' => 'checkbox',
    '#title' => t('Display link to store?'),    
    '#default_value' => variable_get('cafepress_store_link', 1),
    '#description' => t('Should we display a link back to the cafepress store at the bottom of pages/blocks?'),
  );

  $form['cafepress_store_make'] = array(
    '#type' => 'checkbox',
    '#title' => t('Show make store?'),
    '#default_value' => variable_get('cafepress_store_make', 0),
    '#description' => t('Should we display a referral link to allow users to make new cafepress stores?'),
  );

  $form['cafepress_nofollow'] = array(
    '#type' => 'checkbox',
    '#title' => t('Stop Robots from following?'),
    '#default_value' => variable_get('cafepress_nofollow', 1),
    '#description' => t('Should we prevent Robots from following links to cafepress stores?'),
  );

  $form['cafepress_new_window'] = array(
    '#type' => 'checkbox',
    '#title' => t('Open in new Window?'),
    '#default_value' => variable_get('cafepress_new_window', 1),
    '#description' => t('Should we open the cafepress store in a new window?'),
  );
  return system_settings_form($form);
}